unit uSubForm2;

interface

uses
  System.SysUtils, System.Classes, WEBLib.Graphics, WEBLib.Forms, WEBLib.Dialogs,
  Vcl.StdCtrls, WEBLib.StdCtrls, Vcl.Controls, WEBLib.Controls;

type
  TSubForm2 = class(TWebForm)
    WebLabel1: TWebLabel;
    procedure WebFormDeactivate(Sender: TObject);
    procedure WebFormUnload(Sender: TObject);
    procedure WebFormBeforeUnload(Sender: TObject; var AMessage: string);
    procedure WebFormClose(Sender: TObject; var Action: TCloseAction);
    procedure WebFormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure WebFormCreate(Sender: TObject);
    procedure WebFormDestroy(Sender: TObject);
    procedure WebFormShow(Sender: TObject);
  end;

var
  SubForm2: TSubForm2;

implementation

{$R *.dfm}

Uses Web;

procedure TSubForm2.WebFormBeforeUnload(Sender: TObject; var AMessage: string);
begin
 Console.log('Form2 BeforeUnload');
end;

procedure TSubForm2.WebFormClose(Sender: TObject; var Action: TCloseAction);
begin
 Console.log('Form2 Close');
end;

procedure TSubForm2.WebFormCloseQuery(Sender: TObject; var CanClose: Boolean);
begin
 Console.log('Form2 CloseQuery');
end;

procedure TSubForm2.WebFormCreate(Sender: TObject);
begin
 Console.log('Form2 Create');
end;

procedure TSubForm2.WebFormDeactivate(Sender: TObject);
begin
 Console.log('Form2 Deactivate');
end;

procedure TSubForm2.WebFormDestroy(Sender: TObject);
begin
 Console.log('Form2 Destroy');
end;

procedure TSubForm2.WebFormShow(Sender: TObject);
begin
 Console.log('Form2 Show');
end;

procedure TSubForm2.WebFormUnload(Sender: TObject);
begin
 Console.log('Form2 Unload');
end;

end.